Cancel a help request

PUT /internal/admin/comms/v1/help/request/cancel

Operation id: put__internal_admin_comms_v1_help_request_cancel

Tags: Assistant

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — successfully cancelled help request

Content type: application/json

400 — Bad request

Content type: application/json

404 — Not Found

Content type: application/json

500 — Internal Server Error

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
helpIdinteger (int64)YesHelp Request Id
user_loginstringYesUser Login of the request originator
tenant_idstringYesTenant ID of the request originator
{
  "type": "object",
  "required": [
    "helpId",
    "user_login",
    "tenant_id"
  ],
  "properties": {
    "helpId": {
      "type": "integer",
      "format": "int64",
      "description": "Help Request Id"
    },
    "user_login": {
      "type": "string",
      "description": "User Login of the request originator"
    },
    "tenant_id": {
      "type": "string",
      "description": "Tenant ID of the request originator"
    }
  }
}

Response models

200 — successfully cancelled help request

Content type: application/json

Schema

PropertyTypeRequiredDescription
CodeintegerNo
MessagestringNo
{
  "type": "object",
  "properties": {
    "Code": {
      "type": "integer",
      "example": 0
    },
    "Message": {
      "type": "string"
    }
  }
}

400 — Bad request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}